GenerateBuildDashboard (Gradle API 5.2.1)
Date: 2019-02-08

Package org.gradle.api.reporting

## Class GenerateBuildDashboard

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.reporting.GenerateBuildDashboard

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Reporting<BuildDashboardReports>`, `Task`, `org.gradle.util.Configurable<Task>`

      public class GenerateBuildDashboard
      extends DefaultTask
      implements Reporting<BuildDashboardReports>

  Generates build dashboard report.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GenerateBuildDashboard()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `aggregate​(Reporting<? extends ReportContainer<?>>... reportings)` | Configures which reports are to be aggregated in the build dashboard report generated by this task.
    `protected org.gradle.api.internal.CollectionCallbackActionDecorator` | `getCollectionCallbackActionDecorator()` |
    `Set<org.gradle.api.reporting.GenerateBuildDashboard.ReportState>` | `getInputReports()` |
    `protected org.gradle.internal.reflect.Instantiator` | `getInstantiator()` |
    `BuildDashboardReports` | `getReports()` | The reports to be generated by this task.
    `BuildDashboardReports` | `reports​(Closure closure)` | Configures the reports to be generated by this task.
    `BuildDashboardReports` | `reports​(Action<? super BuildDashboardReports> configureAction)` | Configures the reports to be generated by this task.

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getTimeout, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, replaceLogger, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenerateBuildDashboard

          public GenerateBuildDashboard()

  - ### Method Detail

    - #### getInstantiator

          @Inject
          protected org.gradle.internal.reflect.Instantiator getInstantiator()

    - #### getCollectionCallbackActionDecorator

          @Inject
          protected org.gradle.api.internal.CollectionCallbackActionDecorator getCollectionCallbackActionDecorator()

    - #### getInputReports

          @Input
          public Set<org.gradle.api.reporting.GenerateBuildDashboard.ReportState> getInputReports()

    - #### aggregate

          public void aggregate​(Reporting<? extends ReportContainer<?>>... reportings)

      Configures which reports are to be aggregated in the build dashboard report generated by this task.

           buildDashboard {
             aggregate codenarcMain, checkstyleMain
           }

      Parameters:
        `reportings` - an array of `Reporting` instances that are to be aggregated

    - #### getReports

          public BuildDashboardReports getReports()

      The reports to be generated by this task.
      Specified by:
        `getReports` in interface `Reporting<BuildDashboardReports>`
      Returns:
        The reports container

    - #### reports

          public BuildDashboardReports reports​(Closure closure)

      Configures the reports to be generated by this task. The contained reports can be configured by name and closures.

           buildDashboard {
             reports {
               html {
                 destination "build/dashboard.html"
               }
             }
           }

      Specified by:
        `reports` in interface `Reporting<BuildDashboardReports>`
      Parameters:
        `closure` - The configuration
      Returns:
        The reports container

    - #### reports

          public BuildDashboardReports reports​(Action<? super BuildDashboardReports> configureAction)

      Configures the reports to be generated by this task. The contained reports can be configured by name and closures.

           buildDashboard {
             reports {
               html {
                 destination "build/dashboard.html"
               }
             }
           }

      Specified by:
        `reports` in interface `Reporting<BuildDashboardReports>`
      Parameters:
        `configureAction` - The configuration
      Returns:
        The reports container